<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Curso extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model('Cursos_Model');
        $this->load->library('Criptografia');
        $this->load->model('Cadastro_Model');
        $this->load->library('url');
        $this->load->library('Sanitize');
        $this->load->database();
    }

    
    
    public function cursos($nome = NULL) {

        if ($nome != NULL) {
            $str = str_replace("+", " ", $nome);
            $config = array("base_url" => base_url('cursos/' . $nome), "per_page" => 9, "num_links" => 3, "uri_segment" => 3, "total_rows" => $this->Cursos_Model->countobtemCursosPorNome($str), "full_tag_open" => "<ul class= 'pagination'>", "full_tag_close" => "</ul>", "first_link" => FALSE, "last_link" => FALSE, "first_tag_open" => "<li>", "first_tag_close" => "</li>", "prev_link" => "<i class='material-icons'>chevron_left</i>", "prev_tag_open" => "<li class='next'>", "prev_tag_close" => "</li>", "next_link" => "<i class='material-icons'>chevron_right</i>", "next_tag_open" => "<li class='next'>", "next_tag_close" => "</li>", "last_tag_open" => "<li>", "last_tag_close" => "</li>", "cur_tag_open" => "<li class= 'active'><a href=''>", "cur_tag_close" => "</a></li>", "num_tag_open" => "<li>", "num_tag_close" => "</li>");

            $this->pagination->initialize($config);
            $offset = ($this->uri->segment(3)) ? $this->uri->segment(3) : 0;

            $dados = array(
                'aluno' => $this->Cadastro_Model->aluno(),
                'titulo' => 'Cursos',
                'termos' => $this->Cadastro_Model->obtemTermo(),
                'pagination' => $this->pagination->create_links(),
                'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.',
                'curso' => $this->Cursos_Model->obtemCursosPorNome($str, $config['per_page'], $offset)
            );

            $this->load->view('vercursos', $dados);
        } else {
            (isset($_SESSION['controle-aluno']) == TRUE) ? redirect('carreira') : '';
            $dados = array(
                'aluno' => $this->Cadastro_Model->aluno(),
                'titulo' => 'Cursos',
                'termos' => $this->Cadastro_Model->obtemTermo(),
                'curso' => $this->Cursos_Model->obtemArea(),
                'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.',
            );
            $this->load->view('cursos', $dados);
        }
    }

    
    public function cursos_busca($nome = NULL) {

        if ($nome != NULL) {
            $str = str_replace("+", " ", $nome);
            $config = array("base_url" => base_url('cursos/' . $nome), "per_page" => 9, "num_links" => 3, "uri_segment" => 3, "total_rows" => $this->Cursos_Model->countobtemCursosPorNome($str), "full_tag_open" => "<ul class= 'pagination'>", "full_tag_close" => "</ul>", "first_link" => FALSE, "last_link" => FALSE, "first_tag_open" => "<li>", "first_tag_close" => "</li>", "prev_link" => "<i class='material-icons'>chevron_left</i>", "prev_tag_open" => "<li class='next'>", "prev_tag_close" => "</li>", "next_link" => "<i class='material-icons'>chevron_right</i>", "next_tag_open" => "<li class='next'>", "next_tag_close" => "</li>", "last_tag_open" => "<li>", "last_tag_close" => "</li>", "cur_tag_open" => "<li class= 'active'><a href=''>", "cur_tag_close" => "</a></li>", "num_tag_open" => "<li>", "num_tag_close" => "</li>");

            $this->pagination->initialize($config);
            $offset = ($this->uri->segment(3)) ? $this->uri->segment(3) : 0;

            $dados = array(
                'aluno' => $this->Cadastro_Model->aluno(),
                'titulo' => 'Cursos',
                'termos' => $this->Cadastro_Model->obtemTermo(),
                'pagination' => $this->pagination->create_links(),
                'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.',
                'curso' => $this->Cursos_Model->obtemCursosPorNome($str, $config['per_page'], $offset)
            );

            $this->load->view('vercursos', $dados);
        } else {
            (isset($_SESSION['controle-aluno']) == TRUE) ? redirect('carreira') : '';
            $dados = array(
                'aluno' => $this->Cadastro_Model->aluno(),
                'titulo' => 'Cursos',
                'termos' => $this->Cadastro_Model->obtemTermo(),
                'curso' => $this->Cursos_Model->obtemArea(),
                'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.',
            );
            $this->load->view('cursos_busca', $dados);
        }
    }public function cursos_busca_gratis_matricular($nome = NULL) {
        if(($this->input->post('id_curso', TRUE))&&($this->input->post('email', TRUE))&&(!empty($_SESSION['aluno']))){
        $email=($this->input->post('email', TRUE));
        $id_curso=($this->input->post('id_curso', TRUE)); 
        
        $aluno=$this->db->query("SELECT *  FROM `aluno` WHERE `email` = '".$email. "' limit 1")->row();
        
        if(empty($aluno)){
            $form = '<div class="alert alert-danger" role="alert"><div class=""> <i class="fa fa-info-circle"></i> <span> Não foi possível fazer a Indicação! Email não Cadastrado.</span> </div> </div>';
            $this->session->set_flashdata('erro', $form);
            redirect('cursos_gratis');
        }
        else{
        $this->load->model('Matricula_Model');
        $id_aluno=$aluno->id_aluno;
      
        $hash = $this->Matricula_Model->gera_hash();
        $aut = $this->Matricula_Model->gera_autenticacao($hash);
         
          
        $ch = 8;
        $ph = date('H:i:s');
        $pd = date('Y-m-d ');
        
        $ultimo=date('Y-m-d', strtotime('+' . ceil($ch / 8) . ' days', strtotime(date("Y-m-d", strtotime($pd)))));
      

        $dados = array('id_aluno' => $id_aluno, 'id_curso' => $id_curso, 'carga_horaria' => $ch, 'primeira_hora' => $ph, 'primeiro_dia' => $pd,'ultimo_dia' => $ultimo, 'cod_autenticacao' => $aut, 'concluido' => 0, 'num_cliques' => 0,'certificado' => 1);
        $this->db->insert('historico', $dados);
        $id_historico=$this->db->insert_id();
        
        $id_transacao='AMA'.str_replace('-', '', $hash);
        
        $dados_transacao = array('id_transacao' => $id_transacao,'id_aluno' => $id_aluno,'valor' =>0,'data_transacao' => $pd);
        $this->db->insert('transacao', $dados_transacao);
        
        $dados_transacao_pedido = array('transacao' => $id_transacao,'tipo' => 'CE','historico' =>$id_historico,'dt_cadastro' => date('Y-m-d H:i:s'));
        $this->db->insert('itens_transacao', $dados_transacao_pedido);
        
        $dados_log = array('id_indicador' => $_SESSION['aluno']['id_aluno'],'id_curso' => $id_curso, 'id_indicado' => $id_aluno,'id_historico' => $id_historico);
        $this->db->insert('log_indicacao_curso', $dados_log);
        
         $form = '<div class="alert alert-success" role="alert"><div class=""> <i class="fa fa-check-circle"></i> <span> Indicação Realizada com Sucesso!</span> </div> </div>';
            $this->session->set_flashdata('sucesso', $form);
        redirect('cursos_gratis');
        
        }
      
        
       
       }
       else{
              $form = '<div class="alert alert-danger" role="alert"><div class=""> <i class="fa fa-info-circle"></i> <span> Não foi possível fazer a Indicação!</span> </div> </div>';
              $this->session->set_flashdata('erro', $form);
              redirect('cursos_gratis');
       }
    }
    
    public function cursos_busca_gratis($nome = NULL) {
        
       
        
        if($this->input->post('nome', TRUE)){
        $nome=$_POST['nome'];
        }
        if(!empty($this->uri->segment(3))){
          $nome=$this->uri->segment(2);
          $nome=str_replace("+", " ", $nome);
        }
        if ($nome != NULL) {
            $str=$nome;
            $nome_trocado = str_replace(" ", "+", $nome);
            $config = array("base_url" => base_url('cursos_gratis/' . $nome_trocado), "per_page" => 9, "num_links" => 3, "uri_segment" => 3, "total_rows" => $this->Cursos_Model->countobtemCursosPorNome($str), "full_tag_open" => "<ul class= 'pagination'>", "full_tag_close" => "</ul>", "first_link" => FALSE, "last_link" => FALSE, "first_tag_open" => "<li>", "first_tag_close" => "</li>", "prev_link" => "<i class='material-icons'>chevron_left</i>", "prev_tag_open" => "<li class='next'>", "prev_tag_close" => "</li>", "next_link" => "<i class='material-icons'>chevron_right</i>", "next_tag_open" => "<li class='next'>", "next_tag_close" => "</li>", "last_tag_open" => "<li>", "last_tag_close" => "</li>", "cur_tag_open" => "<li class= 'active'><a href=''>", "cur_tag_close" => "</a></li>", "num_tag_open" => "<li>", "num_tag_close" => "</li>");

            $this->pagination->initialize($config);
            $offset = ($this->uri->segment(3)) ? $this->uri->segment(3) : 0;

            $dados = array(
                'aluno' => $this->Cadastro_Model->aluno(),
                'titulo' => 'Cursos Grátis',
                'termos' => $this->Cadastro_Model->obtemTermo(),
                'pagination' => $this->pagination->create_links(),
                'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.',
                'curso' => $this->Cursos_Model->obtemCursosPorNome($str, $config['per_page'], $offset)
            );

            $this->load->view('cursos_busca_gratis', $dados);
           }
            else {
            $config = array("base_url" => base_url('cursos_gratis'), "per_page" =>10, "num_links" => 3, "uri_segment" => 2, "total_rows" => count($this->Cursos_Model->obtemCursos()), "full_tag_open" => "<ul class= 'pagination'>", "full_tag_close" => "</ul>", "first_link" => FALSE, "last_link" => FALSE, "first_tag_open" => "<li>", "first_tag_close" => "</li>", "prev_link" => "<i class='material-icons'>chevron_left</i>", "prev_tag_open" => "<li class='next'>", "prev_tag_close" => "</li>", "next_link" => "<i class='material-icons'>chevron_right</i>", "next_tag_open" => "<li class='next'>", "next_tag_close" => "</li>", "last_tag_open" => "<li>", "last_tag_close" => "</li>", "cur_tag_open" => "<li class= 'active'><a href=''>", "cur_tag_close" => "</a></li>", "num_tag_open" => "<li>", "num_tag_close" => "</li>");
            
            $this->pagination->initialize($config);
            $offset = ($this->uri->segment(2)) ? $this->uri->segment(2) : 0;
            
            $curso=$this->Cursos_Model->obtemCursos($config['per_page'], $offset);
            
           
            $dados = array(
               
                'titulo' => 'Cursos Grátis',
                'curso' => $curso,
                'pagination' => $this->pagination->create_links(),
                'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.',
            );
           
            $this->load->view('cursos_busca_gratis', $dados);
        }
    }
    
    public function curso() {

        $_GET = $this->sanitize->filter($this->input->get(), array('sql'));

        $nome = $this->input->get('nome', TRUE);
        if (!empty($nome)) {
            $this->form_validation->set_data($this->input->get());
            $this->form_validation->set_rules('nome', 'Nome', 'trim|required', array('required' => 'O campo de pesquisa está em branco'));

            if ($this->form_validation->run() == FALSE) {
                $form = validation_errors('<script>Materialize.toast("', '", 4000);</script>');
                $dados = array(
                    'aluno' => $this->Cadastro_Model->aluno(),
                    'titulo' => 'Cursos',
                    'termos' => $this->Cadastro_Model->obtemTermo(),
                    'erro_form' => $form,
                    'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.'
                );
                $this->load->view('cursos', $dados);
            } else {

                $config = array("base_url" => base_url('curso'), "per_page" => 9, "num_links" => 2, "uri_segment" => 2, "total_rows" => $this->Cursos_Model->CountAll($nome), "full_tag_open" => "<ul class= 'pagination pag-curso'>", "full_tag_close" => "</ul>", "first_link" => FALSE, "last_link" => '...Último', "first_tag_open" => "<li>", "first_tag_close" => "</li>", "prev_link" => "<i class='material-icons'>chevron_left</i>", "prev_tag_open" => "<li class='next'>", "prev_tag_close" => "</li>", "next_link" => "<i class='material-icons'>chevron_right</i>", "next_tag_open" => "<li class='next'>", "next_tag_close" => "</li>", "last_tag_open" => "<li class='ultimo-link'>", "last_tag_close" => "</li>", "cur_tag_open" => "<li class= 'active'><a href=''>", "cur_tag_close" => "</a></li>", "num_tag_open" => "<li>", "num_tag_close" => "</li>");


                if (!is_null($nome)) {
                    $filter = '?nome=' . $nome;
                    $config['suffix'] = $filter;
                    $config['first_url'] = base_url('curso' . $filter);
                }

                $this->pagination->initialize($config);
                $offset = ($this->uri->segment(2)) ? $this->uri->segment(2) : 0;

                $dados = array(
                    'aluno' => $this->Cadastro_Model->aluno(),
                    'titulo' => 'Cursos',
                    'descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.',
                    'termos' => $this->Cadastro_Model->obtemTermo(),
                    'pagination' => $this->pagination->create_links(),
                    'curso' => $this->Cursos_Model->obtemCursosPorNome($nome, $config['per_page'], $offset)
                );

                $this->load->view('vercursos', $dados);
            }
        } else {
            redirect();
        }
    }

    public function detalhes($nome, $id) {

        $dados = array('descricao' => 'Cursos em: Educação, Saúde, Direito, Administração, Informática, Finanças, Industria e várias outras áreas de conhecimento. Carga horária ajustável até 280 horas.','termos' => $this->Cadastro_Model->obtemTermo(), 'aluno' => $this->Cadastro_Model->aluno(), 'detalhes' => $this->Cursos_Model->obtemCursosPorID($id), 'titulo' => 'Detalhes');
        $this->load->view('detalhes', $dados);
    }

    public function carreira() { 

        $opcao = $this->input->post('area', TRUE);

        $aluno = $_SESSION['aluno']['id_aluno'];
        $email=$_SESSION['aluno']['email'];
        $ddd = $this->input->post('ddd_celular', TRUE);
        $termo = $this->input->post('termo', TRUE);
        $celular = $this->input->post('celular', TRUE);
        
        $publicidade = $this->input->post('quero_publicidade', TRUE);
        $flag = $this->input->post('flag', TRUE);
        $area_aluno = $this->Cursos_Model->obtemCursoAlunoArea($aluno);
        if ($area_aluno == NULL) {
            if ($flag && empty($opcao)) {
                $this->session->set_flashdata('erro-op', '<script>Materialize.toast("Você precisa escolher uma área de interesse", 4000);</script>');
            }
            if ($opcao) {
                if ($flag == 0) {
                    if ($flag && empty($termo)) {
                        $this->session->set_flashdata('erro-op', '<script>Materialize.toast("Você precisa concordar com o Termo de Uso", 4000);</script>');
                        redirect('carreira');
                    }
                    $this->form_validation->set_rules('ddd_celular', 'ddd', 'trim|required|min_length[2]|max_length[2]|is_numeric', array('required' => ' O campo ddd está em branco. ', 'min_length' => ' O campo ddd deve conter pelo menos 2 caracteres.', 'max_length' => ' O campo ddd não deve conter mais de 2 caracteres.', 'is_numeric' => ' O campo ddd deve conter apenas caracteres numéricos.'));
                    $this->form_validation->set_rules('celular', 'celular', 'trim|required|min_length[9]|max_length[9]|is_numeric', array('required' => ' O número de celular está em branco. ', 'min_length' => ' O campo celular deve conter pelo menos 9 caracteres.', 'max_length' => ' O campo celular não deve conter mais de 9 caracteres.', 'is_numeric' => ' O campo celular deve conter apenas caracteres numéricos.'));

                    if ($this->form_validation->run() == FALSE) {
                        $form = validation_errors('<div class="alert alert-warning" role="alert"><div class=""> <i class="fa fa-info-circle"></i> <span> ', ' </span> </div> </div>');
                        $this->session->set_flashdata('erro', $form);
                        redirect('carreira');
                    } else {
                        $data = ['ddd' => $ddd, 'telefone' => $celular];
                        $this->Cadastro_Model->autalizadadoscadastrais($data);

                        if (!empty($publicidade)) {
                            $this->session->set_userdata("promocional", 1);
                            $this->cadastrar_cpe(1,$_SESSION['aluno']['email']);
                        }else{
                          $this->cadastrar_cpe(0,$_SESSION['aluno']['email']);
                        }
                        $senha_aluno = $this->Cadastro_Model->decodifica($_SESSION['aluno']['senha']);
                        //$this->enviasms($ddd, $celular, $_SESSION['aluno']['email'], $senha_aluno);
                         
                         $this->enviazap($ddd, $celular, $email, $senha_aluno);
                    }
                }
                $data = array('nome' => array());
                foreach ($opcao as $opcoes) {
                    $iris = $this->iris($this->criptografia->decodifica($opcoes));
                    array_push($data['nome'], $this->url->urlamigavel($this->criptografia->decodifica($opcoes)));
                }

                $area = $this->Cursos_Model->insereAlunoArea($data);

                $aluno = $_SESSION['aluno']['id_aluno'];
                $area_aluno = $this->Cursos_Model->obtemCursoAlunoArea($aluno);
                $nome = $area_aluno['nome'];
                $str = $this->url->urlamigavel($nome);
                $this->session->unset_userdata('controle-aluno');
                if (isset($_SESSION['matricula-aluno']) == FALSE) {
                    redirect('cursos/' . $str);
                } else {
                    redirect('cursosmatriculados');
                }
            } else {
                $dados = array('descricao' => 'O Amazônia Cursos é uma plataforma de estudos baseada em cursos livres. Com certificados aprovados pela lei de amparo a cursos livres, é a perfeita solução para você que deseja estudar sem sair de casa, aprimorar seus conhecimentos ou dar aquela melhorada no currículo. Cursos com certificados de participação e conclusão, facilidade de acesso e o melhor de tudo: Você estuda de graça e paga apenas pelo certificado do seu curso','aluno' => $this->Cadastro_Model->aluno(), 'titulo' => 'Afinidade', 'termos' => $this->Cadastro_Model->obtemTermo(), 'curso' => $this->Cursos_Model->obtemAreaEscolha());
                $this->session->set_userdata("controle-aluno", 1);
                $this->load->view('afinidade', $dados);
            }
        } else {
            redirect('home');
        }
    }

    private function cadastrar_cpe($market, $email){
  $url_central_preferencia_notiticacoes = URL_API_IRIS . 'cliente/atualizar_preferencias/';
  $intervalo = $market;
  $post_central_preferencia_notiticacoes = array(
      'token' => OPAYT_TOKEN,
      'chave' => OPAYT_CHAVE,
      'id_unico' => md5($email),
      'intervalo_sms' => $intervalo,
      'intervalo_email' => $intervalo,
      'intervalo_push' => $intervalo,
      'informativo' => $intervalo,
      'promocional' => $intervalo,
  );
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, $url_central_preferencia_notiticacoes);
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
  curl_setopt($ch, CURLOPT_POSTFIELDS, $post_central_preferencia_notiticacoes);
  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
  $resultado = curl_exec($ch);
  $this->load->helper('file');
  $debug1 = var_export($resultado, true);
  write_file(APPPATH.'/logs/logCPE.txt', "\n------------------------------------\n$email : $market\n$debug1\n------------------------------------\n", 'a+');
  curl_close($ch);
}

    private function iris($area) {

        $url_cadastro_interesse_iris = CENTRAL_CONTEUDO_IRIS_URL . 'cadastrar_interesse/';

        $post_cadastro_interesse_iris = array(
            'token' => CENTRAL_CONTEUDO_IRIS_TOKEN,
            'chave' => CENTRAL_CONTEUDO_IRIS_CHAVE,
            'id_unico' => md5($_SESSION['aluno']['email']),
            'interesse' => $area
        );

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url_cadastro_interesse_iris);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_POSTFIELDS, $post_cadastro_interesse_iris);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);

        return $resp_iris = json_decode(curl_exec($ch), true);
    }

    public function carreira_old() {

        $opcao = $this->input->post('area', TRUE);
        $aluno = $_SESSION['aluno']['id_aluno'];

        $area_aluno = $this->Cursos_Model->obtemCursoAlunoArea($aluno);

        if ($area_aluno == NULL) {

            $this->session->set_flashdata('erro-op', '<script>Materialize.toast("Você precisa escolher uma área", 4000);</script>');

            if ($opcao) {

                $data = array('nome' => array());
                foreach ($opcao as $opcoes) {
                    array_push($data['nome'], $this->url->urlamigavel($this->criptografia->decodifica($opcoes)));
                }

                $area = $this->Cursos_Model->insereAlunoArea($data);

                $aluno = $_SESSION['aluno']['id_aluno'];
                $area_aluno = $this->Cursos_Model->obtemCursoAlunoArea($aluno);
                $nome = $area_aluno['nome'];
                $str = $this->url->urlamigavel($nome);
                redirect('cursos/' . $str);
            } else {
                $dados = array('aluno' => $this->Cadastro_Model->aluno(), 'titulo' => 'Afinidade', 'termos' => $this->Cadastro_Model->obtemTermo(), 'curso' => $this->Cursos_Model->obtemAreaEscolha());
                $this->load->view('afinidade', $dados);
            }
        } else {

            redirect('home');
        }
    }

    public function calcula() {

        $curso = $this->input->post('curso');
        $duracao = $this->input->post('duracao');

        $calc = $duracao * 0.70;
        $total = number_format($calc, 2, ',', '.');

        $tributo = number_format($total * 0.16, 2, ',', '.');

        $data = array('situacao' => 'calculo', 'total' => $total, 'tributo' => $tributo);
        echo json_encode($data);
    }

     public function enviazap($ddd, $celular, $email, $senha_aluno) {
        $num="55".$ddd.$celular;
        $mensagem="Obrigado por se cadastrar no Amazônia Cursos,\n\nAbaixo seguem as informações necessárias para seu sucesso no Programa de Formação.\n\nLink de acesso: https://www.amazoniacursos.com.br/login_site\n\nLogin: ".$email." 
\nSenha: ".$senha_aluno."\n\nSuporte em caso de dúvidas ou problemas chamar no WhatsApp  (11)5199-4483\n\nBons Estudos!";
        $post=array(
    "tokenKey"=>"121015DF-3AA622F7-B2F85898-3BC52C38-8BA5C206",
    "envioGrupo" => false,
    "numero"=> $num,
    "texto"=> $mensagem,
    "instituicao"=> 'AMAZÖNIA CURSOS',
    );
       $post= json_encode($post); 
        $ch = curl_init('https://aporfia.com.br/ovum/whatsapp/zap');
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $result = curl_exec($ch);      
        
    }
    
    public function enviasms($ddd, $celular, $email, $senha_aluno) {

        $telefone = $ddd . $celular;

        $validaCel = substr($celular, 1, 1);
        // Verificando se é celular
        $celReal = array("9", "8", "7", "6", "5");
        if (in_array($validaCel, $celReal)) {
            $mensagem = 'Bem-vindo ao Amazonia Cursos. Seu email: ' . $email . '. Sua senha: ' . $senha_aluno;

            // ENVIA O SMS
            if (empty($_SESSION['promocional'])) {
                $this->url->enviasms_1_3($telefone, $mensagem, $email);
            } else {
                $this->url->enviasms_market($telefone, $mensagem, $email);
            }
            $this->session->unset_userdata('promocional');
        }
    }

}
